//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "UIViewController+Spinner.h"

@implementation UIViewController (Spinner)

- (void)showSpinner {

    UIActivityIndicatorView *spinner = [[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleGray];
    spinner.frame = CGRectMake(0.0, 0.0, 20.0, 20.0);
    spinner.center = self.view.center;
    spinner.tag = 101;
    spinner.hidesWhenStopped = YES;
    [[[UIApplication sharedApplication].windows objectAtIndex:0] addSubview:spinner];
    [spinner startAnimating];
}

- (void)hideSpinner {

    UIActivityIndicatorView *spinner = (UIActivityIndicatorView *)[[[UIApplication sharedApplication].windows objectAtIndex:0] viewWithTag:101];
    [spinner stopAnimating];
    [spinner removeFromSuperview];
}

@end
