//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCClientCredentials.h"

@interface PCAuthByTokenCredentials : PCClientCredentials

/*!
 * Unique vmaToken received from Verizon Messenger App.
 */
@property (nonatomic, readonly) NSString *vmaToken;

/*!
 * Unique mdn received from Verizon Messenger App.
 */
@property (nonatomic, readonly) NSString *mdn;

/*!
 * Unique vmaDeviceID received from Verizon Messenger App.
 */
@property (nonatomic, readonly) NSString *vmaDeviceID;


- (id)initWithClientID:(NSString *)clientID
          clientSecret:(NSString *)clientSecret
           redirectURL:(NSString *)redirectURL
            keychainID:(NSString *)keychainID
              vmaToken:(NSString *)vmaToken
                   mdn:(NSString *)mdn
           vmaDeviceID:(NSString *)vmaDeviceID;


@end
