//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "ImageGridCell.h"

@interface ImageGridCell () <UIGestureRecognizerDelegate>

@end

@implementation ImageGridCell

- (void)awakeFromNib {

    [super awakeFromNib];
    
    UILongPressGestureRecognizer *longpressGesture = [[UILongPressGestureRecognizer alloc] initWithTarget:self action:@selector(longPressHandler:)];
    longpressGesture.minimumPressDuration = .2;
    [longpressGesture setDelegate:self];
    [self addGestureRecognizer:longpressGesture];
}


- (void)longPressHandler:(UILongPressGestureRecognizer *)gestureRecognizer {

    if (gestureRecognizer.state == UIGestureRecognizerStateEnded) {
        if ([self.gridCellDelegate respondsToSelector:@selector(gridCellDidLongPressed:)]) {
            [self.gridCellDelegate gridCellDidLongPressed:self];
        }
    }
}


@end
