//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import <UIKit/UIKit.h>

@class PCContact;

typedef enum {

    saveContactAction
} ContactAction;

@interface UIViewController (Contact)

/*!
 * call this method to trigger Contact actions like save to addressbook.
 * @param selectedContact contact on which action needs to be performed.
 */
- (void)showActionsForSelectedContact:(PCContact *)selectedContact;

/*!
 * call this method to silently execute an action for any Contact.
 */
- (void)executeAction:(ContactAction)action forContact:(PCContact *)contact;


@end
