//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCAPIParams.h"

/*!
 * PCTokenAPIParams stores the base parameters of all the token related api's.
 */
@interface PCTokenAPIParams : PCAPIParams

/*!
 * Application-specific client ID. This is received while creating an application with Verizon Cloud.
 */
@property (nonatomic, copy) NSString *clientID;

/*!
 * Application-specific client secret. This is received while creating an application with Verizon Cloud.
 */
@property (nonatomic, copy) NSString *clientSecret;


@end
