//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCAccountInfo+additions.h"

@implementation PCAccountInfo (additions)

// Converting PCAccountInfo all information to NSString.
- (NSString *)humanReadableAccountInfo {
    NSString *quotaUsed = [NSByteCountFormatter stringFromByteCount:self.quotaUsed countStyle:NSByteCountFormatterCountStyleBinary];
    NSString *quota = [NSByteCountFormatter stringFromByteCount:self.quota countStyle:NSByteCountFormatterCountStyleBinary];
    
    
    NSString *humanReadableAccountInfo = [NSString stringWithFormat:@"Used space: %@ \n Total space: %@", quotaUsed, quota];
    return humanReadableAccountInfo;
}

@end
