//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCClientCredentials+Addition.h"

@implementation PCClientCredentials (Addition)

// Below method used to validate user provided client ID, clientSecret and redirectURL.
+ (kNilCredentials)checkForNilCredsWithClientID:(NSString *)clientID clientSecret:(NSString *)clientSecret redirectURL:(NSString *)redirectURL {

    kNilCredentials creds = kNilCredentialsNone;
    
    if (!clientID.length) {
        creds = creds | kNIlClientIDCredential;
    }
    
    if (!clientSecret.length) {
        creds = creds | kNilClientSecretCredential;
    }
    
    if (!redirectURL.length) {
        creds = creds | kNilRedirectURLCredential;
    }
    return creds;
}

@end
